summaryrefslogtreecommitdiff
path: root/dev-python/botocore
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-18 14:13:41 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-18 14:13:41 +0000
commit3443dff87b38b06b0053660b0358b34a2a63efee (patch)
tree29adcc522aacf10c552e3ea5d854a86dac386d41 /dev-python/botocore
parentcf4e315606991a7cd2714a746c9312e3520c9448 (diff)
downloadbaldeagleos-repo-3443dff87b38b06b0053660b0358b34a2a63efee.tar.gz
baldeagleos-repo-3443dff87b38b06b0053660b0358b34a2a63efee.tar.xz
baldeagleos-repo-3443dff87b38b06b0053660b0358b34a2a63efee.zip
Adding metadata
Diffstat (limited to 'dev-python/botocore')
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.12.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 75d081cd069e..7d8df3af6038 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.28.5.gh.tar.gz 9842427 BLAKE2B ed185346c21eeb0d05b39b55e99e065d9a5448fbe8206de49b3c128d12f4aabe1f6258153710350783846d10e5e10a22ccf77f6d27345297ec64e7ce74e51b87 SHA512 8b41b79826a71ed31c27534129e959e0896d9f4cb1769b4f14f1760d173500563a579aa0e00aaff5058275d5b5e8b921fed34b12825cf16ba4e216b174e4bba5
DIST botocore-1.29.11.gh.tar.gz 10660645 BLAKE2B 0d5f8a7e34f99947e1488b468699e682acf0077fcc9f3bfb87e00f4966571970e335964edeabb20b41e4f900aee8c5075a004e8e3b09ce7d04a38f4c729d3361 SHA512 f1e2d948b7123316084228b574c8d0a0cc7dac1e615edfc525f9f42e081bf87d107ec948b5f209a6013b37c0f9617d1e585ef602a1f76c106dbd2369ae6e4514
+DIST botocore-1.29.12.gh.tar.gz 10675051 BLAKE2B 8ccf2f7fe711556d05771712b365a5317aa386411b3a98eaf3240fe14b7f14f04974e2847dc3c49178f4c22a8add957f3286b75f96f10dc68f99e2260a2ade77 SHA512 8728ac25d6dba86d99998a336b17446f1b5000dab9e0f01e0bd61afcf9b806cb2fd3ac747119dac9a9b063463555cd977b2edac2a0b363b79d18ae68b1e8bdb1
DIST botocore-1.29.8.gh.tar.gz 10636661 BLAKE2B 3ebd9e5cb6cc1a9d4ddb877e806e0a845e6a19a4604b4489dbdb9a0f35251201de5d7062f3b0193db3e28f5170d8c3315fdc0b2bec7668a61880ff3e9305d3bc SHA512 c4a1a3993576bd0340de4eeb25e10650219e9d74c21f7e51e5298120bc92a8359143c38d5a991b940316fc5eac483e4e838298881a5c068fa91dc3ebf92a7f5a
diff --git a/dev-python/botocore/botocore-1.29.12.ebuild b/dev-python/botocore/botocore-1.29.12.ebuild
new file mode 100644
index 000000000000..40131f66e350
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.12.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}